Subject: Re: [PATCH] ata: Don't use NO_IRQ in pata_of_platform driver

From: Anton Vorontsov <[email-masked]>
Date: Sat, 3 Dec 2011 02:46:36 +0400

On Sat, Dec 03, 2011 at 02:40:18AM +0400, Anton Vorontsov wrote:
> On Sat, Dec 03, 2011 at 02:34:02AM +0400, Anton Vorontsov wrote:
> > On Fri, Dec 02, 2011 at 07:19:17PM +0000, Dave Martin wrote:
> > [...]
> > > > > > Drivers should not use NO_IRQ; moreover, some architectures don't
> > > > > > have it nowadays. '0' is the 'no irq' case.
> > > > > > 
> > > > > > Signed-off-by: Anton Vorontsov <[email-masked]>
> > > > > 
> > > > > Acked-by: Alan Cox <[email-masked]>
> > > > 
> > > > In case if we don't want a "band-aid fix" for 3.2, here is the patch
> > > > that just does the proper fix (w/ a risk to break minor architectures).
> > > 
> > > This is now broken on ARM where, for good or bad, NO_IRQ currently is
> > > used and is -1.
> > > 
> > > How do we resolve it?
> > 
> > One option is to test this patch on a board that is now broken:
> > 
> > http://lkml.org/lkml/2011/11/10/290
> 
> Oh, actually, reading my own patch:
> 
> "ARM defines NO_IRQ to -1, but OF code relies on IRQ domains support,
>  which returns correct ('0') value in 'no irq' case. So everything
>  should be fine."

Ahh. Forget it, the remark was for the of/irq.c fix itself.

So, we need the http://lkml.org/lkml/2011/11/10/290 fix. Otherwise
the driver is indeed broken for ARM. Would be great if somebody could
test it.

Thanks,

-- 
Anton Vorontsov
Email: [email-masked]